Bug 6774 - Optionally display barcode on OPAC detail page
Summary: Optionally display barcode on OPAC detail page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.10
Hardware: All All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Amit Gupta
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-25 04:31 UTC by Savitra Sirohi
Modified: 2013-05-23 06:23 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Display barcode on OPAC detail page. (4.89 KB, patch)
2011-09-09 04:52 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6774 - Display barcode on OPAC detail page. (4.96 KB, patch)
2011-09-09 15:35 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 6774 Display barcode on OPAC detail page(Correcting Typo). (5.00 KB, patch)
2011-10-07 05:34 UTC, Amit Gupta
Details | Diff | Splinter Review
Patch to display the barcode in catalog detail page. (5.36 KB, patch)
2012-06-08 12:07 UTC, Ebin Joseph
Details | Diff | Splinter Review
Bug 6774 Display barcode on OPAC detail page(Correcting Typo). (5.18 KB, patch)
2012-06-11 15:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6774 Display barcode on OPAC detail page(Correcting Typo) (5.30 KB, patch)
2012-06-12 13:02 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Savitra Sirohi 2011-08-25 04:31:14 UTC
Display barcode on OPAC detail normal view including in XSLT view
Comment 1 Nicole C. Engard 2011-08-25 10:15:56 UTC
There is a feature for this to show on the summary already.  See here: http://manual.koha-community.org/3.6/en/opacmyaccount.html#opacmysummary and scroll to "If your patrons would like to see the items barcodes on their list of checked out items..."

If the barcode is added to the detail page it should be with an option to turn it off, just like the above example.
Comment 2 Amit Gupta 2011-09-09 04:52:58 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-09-09 15:35:34 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2011-10-06 16:28:16 UTC
QA comment :
small english typo if i'm not wrong:
+INSERT INTO systempreferences (variable,value,explanation,options,type) VALUES('OPACShowBarcode','0','Show items barcode in holiding tab','','YesNo');

holiding tab is holding tab isn't it ?
Comment 5 Amit Gupta 2011-10-07 05:34:25 UTC Comment hidden (obsolete)
Comment 6 Paul Poulain 2011-10-07 09:07:54 UTC
QA comment
  * clear description
  * the only change between the patch signed off by nicole & the new patch is the typo fix, the removal of the signoff and a space added
  * lines added contains TAB: our rule is to use 4 spaces for indentation

=> marking failed QA, sorry, I could have seen this before. resubmit with spaces & i'll QA again
Comment 7 vimal kumar 2012-03-01 02:20:53 UTC
This feature not arrived yet?
Comment 8 vimal kumar 2012-03-01 02:41:32 UTC
(In reply to comment #6)
> QA comment
>   * clear description
>   * the only change between the patch signed off by nicole & the new patch is
> the typo fix, the removal of the signoff and a space added
>   * lines added contains TAB: our rule is to use 4 spaces for indentation
> 
> => marking failed QA, sorry, I could have seen this before. resubmit with
> spaces & i'll QA again

https://lh5.googleusercontent.com/-H0APDWhWE8o/Tz6G1-1TX7I/AAAAAAAAGzw/e-0I3v5CRf0/s400/Koha%2520Online%2520Catalog.png
Comment 9 Ebin Joseph 2012-06-08 12:07:47 UTC Comment hidden (obsolete)
Comment 10 Michael Davis 2012-06-10 15:12:36 UTC
Applying: Display barcode on OPAC detail page
error: patch failed: installer/data/mysql/updatedatabase.pl:5308
error: installer/data/mysql/updatedatabase.pl: patch does not apply
Patch failed at 0001 Display barcode on OPAC detail page

The two patches are similar, so first should probably be obsoleted. Neither apply, so need to be resubmitted.
Comment 11 Katrin Fischer 2012-06-11 15:12:48 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2012-06-11 15:14:08 UTC
Apart from the name of the system preference are basically the same. I have rebased the first Patch from Amit Gupta, as he did the earlier patch for this. To test, only one of the patches should be applied.
Comment 13 Katrin Fischer 2012-06-11 15:14:58 UTC
Note: Amit's patch is the second on the bug now.
Comment 14 Julian Maurice 2012-06-12 13:02:26 UTC
Created attachment 10248 [details] [review]
[SIGNED-OFF] Bug 6774 Display barcode on OPAC detail page(Correcting Typo)

Works for me too on current master.
Signed off.
Comment 15 Jonathan Druart 2012-06-12 13:30:57 UTC
QA Comments:

Adds a new syspref OPACShowBarcode for the opac-detail page.

Marking as Passed QA